import numpy as np

fichier=open("csv_helice.csv",'w') #CREATION D'UN CSV VIDE

duree=5.    # durée de déplacement
Te=0.0025      # intervalle de temps entre deux points
R=100       # rayon de l'hélice
pas=20      # pas de l'hélice

L_temps=np.arange(Te,duree+Te,Te)   # CREER UN TABLEAU OU UNE
                                    # LISTE DES TEMPS SUCCESSIFS

#COORDONNEES CYLINDRIQUES
#C-2/ z=p.thêta/(2.Pi)
                                    
def z(t):
    return -400+20*t

def theta(t):
    return 2*np.pi/pas*z(t)

def r(t):
    return R


#BASE CARTESIENNE
def x(t):
    return r(t)*np.cos(theta(t))

def y(t):
    return r(t)*np.sin(theta(t))

#z(t) idem qu'en cylindrique

#ECRITURE DU CSV
fichier.write("t,x,y,z")

for i in range(0, len(L_temps)):
    t=L_temps[i]
    fichier.write("\n"+str(t)+","+str(x(t))+","+str(y(t))+","+str(z(t)))
    i+=1

fichier.close()
