import numpy as np

fichier=open("csv_sphere.csv",'w') #CREATION D'UN CSV VIDE

duree=9. #durée acquisition
Te=0.0025 #période échantillonage
L_temps=np.linspace(0.,duree,int(duree/Te)+1)

#PARAMETRES GEOMETRIQUES ET CINEMATIQUES FIXES (ici pour une sphère)
R=100
x0=0
y0=0
z0=-400

periode_phi=2*duree   # 9s pour faire 180° -> 0°
periode_theta=1  # durée d'un tour

#ANGLES EN COORDONNEES SPHERIQUES
def phi(t):
    return -2*np.pi/periode_phi*t+np.pi

def theta(t):
    return 2*np.pi/periode_theta*t

#BASE CARTESIENNE
def x(t):
    return R*np.sin(phi(t))*np.cos(theta(t))+x0

def y(t):
    return R*np.sin(phi(t))*np.sin(theta(t))+y0

def z(t):
    return R*np.cos(phi(t))+z0

#ECRITURE DU CSV
fichier.write("t,x,y,z")

for i in range(0, len(L_temps)):
    t=L_temps[i]
    fichier.write("\n"+str(t)+","+str(x(t))+","+str(y(t))+","+str(z(t)))
    i+=1

fichier.close()
