import numpy as np
import matplotlib.pyplot as plt

myFile=open("mesures_2.csv",'r')  
                                       
data=[]
for ligne_i in myFile:
    if str.isdigit(ligne_i[0]):
        data.append(ligne_i)           

myFile.close()


Temps=[]
Position1=[]
Position2=[]
Position3=[]
Vitesse1=[]
Vitesse2=[]
Vitesse3=[]
Courant1=[]
Courant2=[]
Courant3=[]


for ligne_i in data:
    tuple_valeurs=ligne_i.split(",")
    Temps.append(float(tuple_valeurs[0]))
    Position1.append(float(tuple_valeurs[1]))
    Position2.append(float(tuple_valeurs[2]))
    Position3.append(float(tuple_valeurs[3]))
    Vitesse1.append(float(tuple_valeurs[4]))
    Vitesse2.append(float(tuple_valeurs[5]))
    Vitesse3.append(float(tuple_valeurs[6]))
    Courant1.append(float(tuple_valeurs[7]))
    Courant2.append(float(tuple_valeurs[8]))
    Courant3.append(float(tuple_valeurs[9]))

#filtrage courant PB1
def filtre_pb1(tps,courant):
    courantfiltre=[courant[0]]
    tau=0.2
    Te=Temps[1]-Temps[0]
    for i in range(1,len(tps)):
        courantfiltre.append(Te/(tau+Te)*(courant[i]+tau/Te*courantfiltre[i-1]))
    return courantfiltre

plt.plot(Position1,filtre_pb1(Temps,Courant1),label="courant 1",color='r')
plt.plot(Position2,filtre_pb1(Temps,Courant2),label="courant 2",color='g')
plt.plot(Position3,filtre_pb1(Temps,Courant3),label="courant 3",color='b')
plt.grid()
plt.legend()
plt.xlabel("position des bras")

plt.show()
